LinuxQuestions.org
Latest LQ Deal: Linux Power User Bundle
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 11-14-2009, 01:25 PM   #1
lefu
LQ Newbie
 
Registered: Nov 2009
Posts: 3

Rep: Reputation: 0
Angry hplip on ubuntu 9.10 for hp deskjet F2480 Series


hi guys,

I am trying to install hplip-3.9.10 on my new ubuntu 9.10, I have both run and tar files downloaded and no luck. its throwing up and the following is my last lines of what I get after running make:

/bin/bash ./libtool --tag=CC --mode=link gcc -DMUDNAME=\"hpmud\" -DCONFDIR=\"/etc/hp\" -g -O2 -version-info 0:6:0 -lusb -lpthread -lnetsnmp -lcrypto -o libhpmud.la -rpath /usr/local/lib libhpmud_la-hpmud.lo libhpmud_la-mlc.lo libhpmud_la-model.lo libhpmud_la-musb.lo libhpmud_la-pml.lo libhpmud_la-dot4.lo libhpmud_la-jd.lo libhpmud_la-pp.lo -lcrypto
libtool: link: gcc -shared .libs/libhpmud_la-hpmud.o .libs/libhpmud_la-mlc.o .libs/libhpmud_la-model.o .libs/libhpmud_la-musb.o .libs/libhpmud_la-pml.o .libs/libhpmud_la-dot4.o .libs/libhpmud_la-jd.o .libs/libhpmud_la-pp.o /usr/lib/libusb.so -lpthread /usr/lib/libnetsnmp.so -lcrypto -Wl,-soname -Wl,libhpmud.so.0 -o .libs/libhpmud.so.0.0.6
libtool: link: (cd ".libs" && rm -f "libhpmud.so.0" && ln -s "libhpmud.so.0.0.6" "libhpmud.so.0")
libtool: link: (cd ".libs" && rm -f "libhpmud.so" && ln -s "libhpmud.so.0.0.6" "libhpmud.so")
libtool: link: ( cd ".libs" && rm -f "libhpmud.la" && ln -s "../libhpmud.la" "libhpmud.la" )
/bin/bash ./libtool --tag=CC --mode=link gcc -I/usr/include/python2.6 -g -O2 -module -avoid-version -o hpmudext.la -rpath /usr/lib/python2.6/dist-packages hpmudext_la-hpmudext.lo libhpmud.la -lcrypto
libtool: link: gcc -shared .libs/hpmudext_la-hpmudext.o -Wl,-rpath -Wl,/home/ganief/untitled -Wl,-rpath -Wl,folder/hplip-3.9.10/.libs ./.libs/libhpmud.so -L/usr/lib /usr/lib/libusb.so -lpthread /usr/lib/libnetsnmp.so -lcrypto -Wl,-soname -Wl,hpmudext.so -o .libs/hpmudext.so
/bin/sed: can't read folder/hplip-3.9.10/libhpmud.la: No such file or directory
libtool: link: `folder/hplip-3.9.10/libhpmud.la' is not a valid libtool archive
make: *** [hpmudext.la] Error 1



please help!
 
Old 11-14-2009, 07:54 PM   #2
aus9
LQ Addict
 
Registered: Oct 2003
Location: Australia
Distribution: MX 16
Posts: 5,298

Rep: Reputation: Disabled
hi

why not download the deb instead?

http://mirror.internode.on.net/pub/u...hplip/?C=M;O=D

you may need more than hplip and hpijs but your packagemanager should pull down the dependencies otherwise run

Code:
sudo apt-get update && apt-get install hplip
 
Old 11-14-2009, 08:31 PM   #3
lefu
LQ Newbie
 
Registered: Nov 2009
Posts: 3

Original Poster
Rep: Reputation: 0
initially this was all for fedora and suse, and when they both fail. I installed ubuntu.

I hope this matter can be put to rest with deb. thank you for your help and will update you on the outcome.
 
Old 11-15-2009, 03:55 AM   #4
lefu
LQ Newbie
 
Registered: Nov 2009
Posts: 3

Original Poster
Rep: Reputation: 0
Thumbs up It worked!!!

Thank you so much, I downloaded this files and installed them in this order:

first I had to run: apt-get remove hplip (older versions-hplip-data 3.9.8.1 in the system)

and

then installed this

hplip-data_3.9.10-0ubuntu2_all.deb
hplip_3.9.10-0ubuntu2_i386.deb
hpijs_3.9.10-0ubuntu2_i386.deb
hplip-dbg_3.9.10-0ubuntu2_i386.deb

thank you once again. this case is closed
 
Old 11-15-2009, 06:58 AM   #5
aus9
LQ Addict
 
Registered: Oct 2003
Location: Australia
Distribution: MX 16
Posts: 5,298

Rep: Reputation: Disabled
hi

well done...since your post count is lowish forgive me for telling you how to suck eggs.

You can now edit first post to make it solved if you have time please

http://www.linuxquestions.org/questi...rk+post+solved

its my understanding only the Original Poster can do it so it can help others not read the question if you catch my drift?

cheers and thanks in advance
 
Old 05-21-2010, 04:08 AM   #6
lxuser
LQ Newbie
 
Registered: Aug 2004
Location: Australia
Distribution: many
Posts: 8

Rep: Reputation: 0
Bad OZ

A little humility never hurts. This is no way to speak to anyone. Don't give OZs a bad name.
How old, did you say, you are?
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
hplip 3.9.2 missing DeskJet printer ppd's (-current) the3dfxdude Slackware 4 03-22-2009 03:47 PM
HPLip, printer not printing most things... HP Deskjet D4160 BallsOfSteel Linux - Hardware 1 08-14-2008 02:35 PM
hplip / HP Deskjet D4160 install help soylentgreen Slackware 7 05-27-2007 07:31 PM
[SOLVED] HP960c Deskjet -- should I use CUPS or HPLIP? MBA Whore Linux - Hardware 2 12-23-2006 09:44 PM
HP Deskjet 5550 (usb) - HPLIP can't run in Debian sarge ch_music Linux - Hardware 4 02-12-2005 09:57 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie

All times are GMT -5. The time now is 03:00 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration